org.wildfly.swarm.config.infinispan.cache_container

## Class BackupForComponent<T extends BackupForComponent<T>>

- java.lang.Object
- - org.wildfly.swarm.config.infinispan.cache_container.BackupForComponent<T>

-     public class BackupForComponent<T extends BackupForComponent<T>>
      extends Object

  A cache for which this cache acts as a backup (for use with cross site replication).

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BackupForComponent()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `String` | `getKey()`
    `String` | `remoteCache()` The name of the remote cache for which this cache acts as a backup.
    `T` | `remoteCache(String value)` The name of the remote cache for which this cache acts as a backup.
    `String` | `remoteSite()` The site of the remote cache for which this cache acts as a backup.
    `T` | `remoteSite(String value)` The site of the remote cache for which this cache acts as a backup.
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BackupForComponent

          public BackupForComponent()

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### remoteCache

          public String remoteCache()

      The name of the remote cache for which this cache acts as a backup.

    - #### remoteCache

          public T remoteCache(String value)

      The name of the remote cache for which this cache acts as a backup.

    - #### remoteSite

          public String remoteSite()

      The site of the remote cache for which this cache acts as a backup.

    - #### remoteSite

          public T remoteSite(String value)

      The site of the remote cache for which this cache acts as a backup.

Copyright © 2017 JBoss by Red Hat. All rights reserved.